
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #341

Audacious crashes when reading .m4a file

September 04, 2013 15:16 - sawt dk

Status: Rejected Start date: September 04, 2013

Priority: Major Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.4, 3.4.1   

Description

This happens in both version 3.4 and 3.4.1 on my Arch Linux 64 bit computer.

The terminal outputs this:

[sat@sat-thinkpad ~]$ audacious

(bootstrap.c:60) [mowgli_init]: mowgli_init() is a deprecated function, provided only for backwards compatibility with Mowgli-1.  You

should remove it if you no longer support using Mowgli-1.  *** ERROR: /usr/lib/audacious/Input/sid.so could not be loaded:

libsidplayfp.so.3: kan ikke åbne delt objektfil: Ingen sådan fil eller filkatalog  *** ERROR: /usr/lib/audacious/Container/cue.so could

not be loaded: libcue.so.1: kan ikke åbne delt objektfil: Ingen sådan fil eller filkatalog

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9944025c00] Unknown cover type: 0x0.

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9958010e00] Unknown cover type: 0x0.

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9958010e00] Unknown cover type: 0x0.

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9944025c00] Unknown cover type: 0x0.

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9958010e00] Unknown cover type: 0x0.

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9944025c00] Unknown cover type: 0x0.

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9958010e00] Unknown cover type: 0x0.

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9944025c00] Unknown cover type: 0x0.

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9958010e00] Unknown cover type: 0x0.

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9944041c00] stream 0, timescale not set

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9958028340] stream 0, timescale not set

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9958028340] stream 0, timescale not set

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9944041c00] stream 0, timescale not set

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9958028340] stream 0, timescale not set

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9944041c00] stream 0, timescale not set

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9958028340] stream 0, timescale not set

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9944041c00] stream 0, timescale not set

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9958028340] stream 0, timescale not set

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9958025880] stream 0, timescale not set

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9958025880] stream 0, timescale not set

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9944041c00] stream 0, timescale not set

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9958025880] stream 0, timescale not set

[mov,mp4,m4a,3gp,3g2,mj2  0x7f9944041c00] stream 0, timescale not set

[mov,mp4,m4a,3gp,3g2,mj2  0x7f994405ae00] stream 0, timescale not set

Segmentation fault (core dumped)

History

#1 - September 05, 2013 00:08 - John Lindgren

You will have to narrow it down a particular file that causes the crash, or this bug report is useless.

#2 - September 05, 2013 00:47 - sawt dk

John Lindgren wrote:

You will have to narrow it down a particular file that causes the crash, or this bug report is useless.

 

Is this of any help?
Program received signal SIGSEGV, Segmentation fault.

[Switching to Thread 0x7fffe37fe700 (LWP 25534)]

0x00007fffd01fc133 in av_buffer_ref () from /usr/lib/libavutil.so.52

(gdb) bt full

#0  0x00007fffd01fc133 in av_buffer_ref () from /usr/lib/libavutil.so.52

No symbol table info available.

#1  0x00007fffd052efaf in avformat_queue_attached_pictures ()

from /usr/lib/libavformat.so.55

No symbol table info available.

#2  0x00007fffd05379d0 in avformat_open_input ()

from /usr/lib/libavformat.so.55

No symbol table info available.

#3  0x00007fffd167a6eb in ?? () from /usr/lib/audacious/Input/ffaudio.so

No symbol table info available.

#4  0x00007fffd167a858 in ?? () from /usr/lib/audacious/Input/ffaudio.so

No symbol table info available.

#5  0x000000000041befd in _start ()

No symbol table info available.

#3 - September 06, 2013 00:05 - John Lindgren

Possibly.  Also run "audacious -V > log.txt" and attach the the log file (or the tail end of it).

#4 - September 06, 2013 12:31 - sawt dk

- File log.txt added

Thanks for the help. Here it is.

I've cut the first part because of the 5 MB limit

#5 - September 06, 2013 15:37 - John Lindgren

Good.  Now look at the last three .m4a files mentioned in the log and try adding those to the playlist one by one.  One of them should make the player

crash.  Please attach that file.

#6 - September 08, 2013 21:40 - sawt dk

I found out 5 tracks from the same album made audacious crash. Here is one of them: 

https://www.dropbox.com/s/6pmwfoaij291xf3/Pussy%20Cat%20Dues.m4a

#7 - September 09, 2013 18:55 - John Lindgren

- Subject changed from Audacious crashes when importing library to Audacious crashes when reading .m4a file

#8 - September 10, 2013 00:09 - John Lindgren

- Status changed from New to Rejected

ffplay also crashes on that file, so this has to be a bug in FFmpeg.

May 08, 2025 2/3

http://www.redmine.audacious-media-player.org/issues/2
http://www.redmine.audacious-media-player.org/issues/3
http://www.redmine.audacious-media-player.org/issues/4
http://www.redmine.audacious-media-player.org/issues/5
https://www.dropbox.com/s/6pmwfoaij291xf3/Pussy%20Cat%20Dues.m4a


Files

log.txt 4.51 MBSeptember 06, 2013 sawt dk
